std::filesystem::path::iterator Class Reference
File System

`#include <fs_path.h>`

## Public Types

using | difference_type
using | iterator_category
using | pointer
using | reference
using | value_type

## Public Member Functions

| iterator (const iterator &)=default
reference | operator* () const
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator-- ()
iterator | operator-- (int)
pointer | operator-> () const
iterator & | operator= (const iterator &)=default

## Friends

void | __path_iter_advance (iterator &__i, difference_type __n)
difference_type | __path_iter_distance (const iterator &__first, const iterator &__last)
bool | operator!= (const iterator &__lhs, const iterator &__rhs)
bool | operator== (const iterator &__lhs, const iterator &__rhs)
class | path

## Detailed Description

An iterator for the components of a path.

Definition at line 886 of file bits/fs_path.h.

## Member Typedef Documentation

## difference_type

using std::filesystem::path::iterator::difference_type

Definition at line 889 of file bits/fs_path.h.

## iterator_category

using std::filesystem::path::iterator::iterator_category

Definition at line 893 of file bits/fs_path.h.

## pointer

using std::filesystem::path::iterator::pointer

Definition at line 892 of file bits/fs_path.h.

## reference

using std::filesystem::path::iterator::reference

Definition at line 891 of file bits/fs_path.h.

## value_type

using std::filesystem::path::iterator::value_type

Definition at line 890 of file bits/fs_path.h.

## Constructor & Destructor Documentation

## iterator()

std::filesystem::path::iterator::iterator | ( |  | ) |

inline

Definition at line 895 of file bits/fs_path.h.

## Member Function Documentation

## operator++()

iterator std::filesystem::path::iterator::operator++ | ( | int |  | ) |

inline

Definition at line 904 of file bits/fs_path.h.

## operator--()

iterator std::filesystem::path::iterator::operator-- | ( | int |  | ) |

inline

Definition at line 907 of file bits/fs_path.h.

## operator->()

pointer std::filesystem::path::iterator::operator-> | ( |  | ) | const

inline

Definition at line 901 of file bits/fs_path.h.

## Friends And Related Symbol Documentation

## __path_iter_advance

void __path_iter_advance | ( | iterator & | __i,
|  | difference_type | __n )

friend

Definition at line 934 of file bits/fs_path.h.

## __path_iter_distance

difference_type __path_iter_distance | ( | const iterator & | __first,
|  | const iterator & | __last )

friend

Definition at line 921 of file bits/fs_path.h.

## operator!=

bool operator!= | ( | const iterator & | __lhs,
|  | const iterator & | __rhs )

friend

Definition at line 912 of file bits/fs_path.h.

## operator==

bool operator== | ( | const iterator & | __lhs,
|  | const iterator & | __rhs )

friend

Definition at line 909 of file bits/fs_path.h.

## path

friend class path

friend

Definition at line 916 of file bits/fs_path.h.

The documentation for this class was generated from the following file:

- bits/fs_path.h